curl --request PUT \
--url https://{cluster}.voucherify.io/v1/product-collections/{productCollectionId} \
--header 'Content-Type: application/json' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>' \
--data '
{
"name": "New static collection name"
}
'{
"id": "pc_bQ2p9TycbEhd3YzwFCR3JQYA",
"name": "Shirts",
"type": "STATIC",
"products": [
{
"id": "prod_0a9f9aeddb019a42db",
"object": "product"
},
{
"id": "prod_0a9f9ab4ab019a42d5",
"object": "product"
}
],
"created_at": "2022-02-28T11:42:12.484Z",
"updated_at": "2026-02-23T17:43:22.384Z",
"object": "products_collection"
}Update Product Collection
Updates the product collection.
For STATIC collections, you can update only the name.
For AUTO_UPDATE collections, you can update its name and filters.
PUT
/
v1
/
product-collections
/
{productCollectionId}
curl --request PUT \
--url https://{cluster}.voucherify.io/v1/product-collections/{productCollectionId} \
--header 'Content-Type: application/json' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>' \
--data '
{
"name": "New static collection name"
}
'{
"id": "pc_bQ2p9TycbEhd3YzwFCR3JQYA",
"name": "Shirts",
"type": "STATIC",
"products": [
{
"id": "prod_0a9f9aeddb019a42db",
"object": "product"
},
{
"id": "prod_0a9f9ab4ab019a42d5",
"object": "product"
}
],
"created_at": "2022-02-28T11:42:12.484Z",
"updated_at": "2026-02-23T17:43:22.384Z",
"object": "products_collection"
}Authorizations
X-App-Id & X-App-TokenX-Voucherify-OAuth
Scopes
Path Parameters
Body
application/json
Specify the parameters to be updated.
Response
Returns a product collection object if a valid identifier was provided in the path.
Response body schema for PUT v1/product-collections/{productCollectionId}.

